Package org.kie.internal.builder.conf

# Class DumpDirOption

java.lang.Object
org.kie.internal.builder.conf.DumpDirOption

All Implemented Interfaces:
  `Serializable`, `Option`, `SingleValueOption`, `KnowledgeBuilderOption`, `SingleValueKieBuilderOption`

public class DumpDirOption extends Object implements SingleValueKieBuilderOption
A class for the dump directory configuration. I.e., for the directory where Drools will dump generated code for debugging purposes. If this option is not set, drools will generate and compile all code in memory.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<DumpDirOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the drools dump directory configuration

  ### Fields inherited from interface org.kie.internal.builder.conf.KnowledgeBuilderOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static DumpDirOption`
  `get(File dir)`
  This is a factory method for this DumpDirectoryOption configuration.
  `File`
  `getDirectory()`
  Returns the directory to which drools should dump generated files
  `String`
  `getPropertyName()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.internal.builder.conf.KnowledgeBuilderOption

  `type`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the drools dump directory configuration
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<DumpDirOption> KEY

- ## Method Details

  - ### get

    public static DumpDirOption get(File dir)
    This is a factory method for this DumpDirectoryOption configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
    Parameters:
      `dir` - the directory to which drools will dump files
    Returns:
      the actual type safe dump directory configuration.

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### getDirectory

    public File getDirectory()
    Returns the directory to which drools should dump generated files
    Returns:

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`